<nav class="navbar navbar-expand-lg">
    <div class="container-fluid">
        <div class="navbar-header">
            <a class="navbar-brand" [routerLink]="routerLink">{{ entityType }}</a>
            <button class="navbar-toggle" type="button" data-toggle="collapse" data-target="#mainNav"
                aria-controls="mainNav" aria-expanded="false" aria-label="Toggle navigation">
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <button type="button" class="notification-button" (click)="nClicked()">
            </button>
        </div>
        <div class="collapse navbar-collapse" id="mainNav">
            <ul class="nav navbar-nav">
                <li *ngFor="let menuItem of menuItems; let mainMenuItemIndex=index" routerLinkActive="active"
                    [ngClass]="{ 'dropdown': menuItem.items.length }">
                    <a [routerLink]="[menuItem.route]"
                        *ngIf="!menuItem.items.length && menuItem.route.indexOf('http') != 0">
                        <span>{{menuItem.name}}</span>
                    </a>
                    <a href="{{menuItem.route}}" *ngIf="!menuItem.items.length && menuItem.route.indexOf('http') == 0">
                        <span>{{menuItem.name}}</span>
                    </a>
                    <a class="dropdown-toggle menu-toggle" data-toggle="dropdown" href="javascript:void(0);"
                        *ngIf="menuItem.items.length">
                        <span>{{menuItem.name}}</span>
                    </a>
                    <ul class="dropdown-menu" *ngIf="menuItem.items.length">
                        <li *ngFor="let subItem of menuItem.items">
                            <a [routerLink]="[subItem.route]"
                                *ngIf="!subItem.items.length && subItem.route.indexOf('http') != 0">
                                <span>{{subItem.name}}</span>
                            </a>
                            <a href="{{subItem.route}}"
                                *ngIf="!subItem.items.length && subItem.route.indexOf('http') == 0">
                                <span>{{subItem.name}}</span>
                            </a>
                        </li>
                    </ul>
                </li>
            </ul>
        </div>
    </div>
</nav>
